#!/bin/bash
#
# data parsing
#
echo "reformatting data ..."
echo "compacting URBs ..."
awk -f filtre.awk $1 >tmp
echo "sorting ..."
sort -n -k 5 <tmp >res
echo "reordering in/out ..."
awk -f swap.awk <res >tmp
echo "depacking ..."
awk -F'#' -f refait.awk <tmp >res
echo "parsing ..."
awk -f parse1.awk <res | grep -v skip | grep -v "0xc0 0x0c 0x8e 0x20" >tmp
#
# apply all scripts for low-level decoding
#
#genesys_bulk_read_next3.awk 
for script in \
motor2.awk \
genesys_get_status.awk \
testR70.awk \
genesys_gpio_output_enable.awk \
genesys_gpio_read.awk \
genesys_gpio_write.awk \
genesys_fe_write_data.awk \
genesys_set_buffer_address.awk \
genesys_set_buffer_address2.awk \
genesys_read_valid_words.awk \
genesys_read_feed_steps.awk \
genesys_bulk_write_data.awk \
genesys_bulk_write_next.awk \
genesys_bulk_read_data.awk \
genesys_bulk_read_next.awk \
genesys_bulk_read_next2.awk \
genesys_bulk_write_register2.awk \
genesys_bulk_write_register.awk \
bulk_motor.awk \
genesys_read_register.awk \
genesys_write_register.awk \
genesys_fe_write_data2.awk \
genesys_set_buffer_address3.awk \
motor3.awk \
tables.awk \
;
do
	echo "executing "$script"..."
	awk -f $script tmp >res
	mv res tmp
done
mv tmp `basename $1`.decode
